Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.dataquery
Interface IEssOpMdxQuery

All Superinterfaces:
  IEssBaseObject, IEssOperation

public interface IEssOpMdxQuery
extends IEssOperation

The IEssOpMdxQuery interface.

Nested Class Summary
`static class` | `IEssOpMdxQuery.EEssMemberIdentifierType` The EEssMemberIdentifierType class is an enumeration of member identifier types.

Nested classes inherited from class com.essbase.api.dataquery.IEssOperation
`IEssOperation.EEssOperationType`

Method Summary
`IEssOpMdxQuery.EEssMemberIdentifierType` | `getMemberIdentifierType()` Gets the MdxMbrIdType in query.
`java.lang.String` | `getQuerySpec()` Gets the MDX query specification.
`boolean` | `isDataless()` Checks if MDX query is dataless query.
`boolean` | `isNeedCellAttributes()` Checks if MDX query will return cell attributes for data cells.
`void` | `setDataless(boolean dataLess)` Sets if MDX query is dataless query.
`void` | `setMemberIdentifierType(IEssOpMdxQuery.EEssMemberIdentifierType idtype)` Sets the Member Identifier Type in query.
`void` | `setNeedCellAttributes(boolean needCellAttributes)` Sets if MDX query will return cell attributes for data cells.
`void` | `setQuery(boolean dataLess, java.lang.String querySpec, boolean needCellStatus, IEssOpMdxQuery.EEssMemberIdentifierType idtype)` Sets the MDX query specification and options relating to the MDX operation.
`void` | `setQuerySpec(java.lang.String querySpec)` Sets the MDX query specification.

Methods inherited from interface com.essbase.api.dataquery.IEssOperation
`getOperationType`

Method Detail

### getMemberIdentifierType

    public IEssOpMdxQuery.EEssMemberIdentifierType getMemberIdentifierType()
                                                                    throws EssException

  Gets the MdxMbrIdType in query.

  Returns:
    The member id type that will be returned in query results.
  Throws:
    `EssException` - if an error occurs.

### setMemberIdentifierType

    public void setMemberIdentifierType(IEssOpMdxQuery.EEssMemberIdentifierType idtype)
                                 throws EssException

  Sets the Member Identifier Type in query. If the type is EEssMemberIdentifierType.NAME then the member (or dimension) identifiers returned in the query results are their actual names. If the type is EEssMemberIdentifierType.ALIAS then those identifiers will be alias names of the corresponding member (or dimension).

  Parameters:
    `idtype` - The member identifier type that will be returned in query results.
  Throws:
    `EssException` - if an error occurs.

### isDataless

    public boolean isDataless()
                       throws EssException

  Checks if MDX query is dataless query.

  Returns:
    true if dataless; false otherwise.
  Throws:
    `EssException` - if an error occurs.

### setDataless

    public void setDataless(boolean dataLess)
                     throws EssException

  Sets if MDX query is dataless query. If true, the query will not return any data values and all cell value and cell attribute functions in IEssMdDataSet interface will throw exception if invoked.

  Parameters:
    `dataLess` - true if dataless; false otherwise.
  Throws:
    `EssException` - if an error occurs.

### isNeedCellAttributes

    public boolean isNeedCellAttributes()
                                 throws EssException

  Checks if MDX query will return cell attributes for data cells.

  Returns:
    true if cell attributes will be returned; false otherwise.
  Throws:
    `EssException` - if an error occurs.

### setNeedCellAttributes

    public void setNeedCellAttributes(boolean needCellAttributes)
                               throws EssException

  Sets if MDX query will return cell attributes for data cells. If dataless option is true then this option is ignored and no cell attributes are returned. If dataless option is false, and this option is set to true, the returned cells in the query results will have attributes which can be queried using IEssMdDataSet interface functions isDynamicCalcCell(), isReadOnlyCell(), isCalcedMemberCell() and isLinkedCell().

  Parameters:
    `needCellAttributes` - true if cell attributes will be returned; false otherwise.
  Throws:
    `EssException` - if an error occurs.

### getQuerySpec

    public java.lang.String getQuerySpec()
                                  throws EssException

  Gets the MDX query specification.

  Returns:
    The MDX query specification.
  Throws:
    `EssException` - if an error occurs.

### setQuerySpec

    public void setQuerySpec(java.lang.String querySpec)
                      throws EssException

  Sets the MDX query specification.

  Parameters:
    `querySpec` - The MDX query specification.
  Throws:
    `EssException` - if an error occurs.

### setQuery

    public void setQuery(boolean dataLess,
                         java.lang.String querySpec,
                         boolean needCellStatus,
                         IEssOpMdxQuery.EEssMemberIdentifierType idtype)
                  throws EssException

  Sets the MDX query specification and options relating to the MDX operation.

  Parameters:
    `dataLess` - true if dataless; false otherwise.
    `querySpec` - The MDX query specification.
    `needCellStatus` - true if cell statuses will be returned; false otherwise.
    `idtype` - The member id type that will be returned in query results.
  Throws:
    `EssException` - if an error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD